:root {
  --header-outer-height: (100vh - 100px);
  --header-inner-height: 72px;
}

html,
body {
  margin: 0;
  quotes: "‘" "’";
}

.container {
  max-width: 1024px;
  margin: 0 auto;
  padding: 0 20px;
}

.header-outer {
  display: flex;
  justify-content: center;
  align-items: center;
  position: sticky;
  top: calc(-1 * var(--header-outer-height) + var(--header-inner-height));
  height: calc(var(--header-outer-height));
  background-color: rgb(175, 200, 200);
  z-index: 1;
}

.header-inner {
  height: var(--header-inner-height);
  position: sticky;
  top: 0;
  display: flex;
  align-items: center;
  padding: 0 10px;
  gap: 15px;
}

.logo {
  margin-right: .25em;
  font-style: normal;
}

.header-navigation {
  font-family: "Times New Roman", Times, serif;
  font-weight: normal;
  font-style: italic;
  font-size: 20px;
  flex-grow: 1;
}

.header-navigation ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 15px;
}

.name {
  font-size: 40px;
  font-style: italic;
}

footer {
  background-color: rgb(228, 228, 228);
}

footer .container {
  padding-top: 20px;
  padding-bottom: 20px;
  gap: 15px;
  font-family: 'Source Sans Pro', sans-serif;
}

footer .container > * {
  flex-basis: 50%;
  padding: 10px 20px;
}

footer .container a {
  font-weight: 700;
  text-decoration: none;
}

footer .container a:visited {
  color: black;
}

footer .socials a {
  vertical-align: middle;
}

footer .socials img {
  width: 24px;
  height: 24px;
  margin-right: 10px;
  opacity: .5;
}

footer .socials img:hover {
  opacity: 1;
}
